package com.eactive.eai.adapter.handler;

import java.util.Properties;

import com.eactive.eai.common.message.EAIMessage;

public class DefaultAdapterErrorMessageHandler implements AdapterErrorMessageHandler {

	@Override
	public Object generateNonStandardErrorResponseMessage(String inboudnAdapterGroupName, String inboudnAdapterName,
			Properties callProp, Object outboundRequestData, EAIMessage resEaiMsg) throws Exception {
		return null;
	}

	@Override
	public Object generateNonStandardInternalErrorResponseMessage(String inboudnAdapterGroupName, String inboudnAdapterName,
			Properties callProp, Object inboundRequestData, EAIMessage resEaiMsg) throws Exception {
		return null;
	}

	@Override
	public Object generateNonStandardInboundErrorResponseMessage(String adapterGroupName, String adapterName,
			Properties callProp, Object inboundRequestData, Object inboundResponseData, Throwable e) throws Exception {
		return null;
	}

}
